Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 217928 - jbd I/O errors after ext3 orphan processing on readonly device
Summary: jbd I/O errors after ext3 orphan processing on readonly device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Eric Sandeen
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On: 173350
Blocks: 231553
TreeView+ depends on / blocked
 
Reported: 2006-11-30 19:59 UTC by Rob Kenna
Modified: 2007-11-17 01:14 UTC (History)
10 users (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 16:16:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Comment 2 RHEL Product and Program Management 2006-11-30 20:38:43 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Eric Sandeen 2006-12-07 18:24:23 UTC
Update description to something more descriptive.

Comment 7 Eric Sandeen 2007-03-08 22:02:07 UTC
So, for 2.6 kernels, lvm isn't rejecting these IOs, and the panics don't happen.

However, I think ext3 should still be checking for readonly, and skipping orphan
recovery if the block device policy is RO.

Since this stuff is upstream and also in rhel3 at this point, rhel4 and rhel5
should get the same treatment - skip orphan processing on readonly devices, and
handle (one way or another) ro->rw transitions of filesystems w/ unprocessed
orphan lists.

I'll send a patch to do so, and we need another bug for RHEL5.

-Eric

Comment 9 RHEL Product and Program Management 2007-04-18 22:44:43 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 10 Jason Baron 2007-06-27 14:45:52 UTC
committed in stream U6 build 55.13. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 13 errata-xmlrpc 2007-11-15 16:16:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.